<?php
/**
 * @version     4.0.0
 * @package     Com_AllVideoShare
 * @subpackage  Mod_AllVideoShareSearch
 * @author      Vinoth Kumar <admin@mrvinoth.com>
 * @copyright   Copyright (c) 2012 - 2021 Vinoth Kumar. All Rights Reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined( '_JEXEC' ) or die; 

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;
use MrVinoth\Component\AllVideoShare\Site\Helper\AllVideoShareRoute;

// Vars
$context = 'com_allvideoshare.search';

$route = AllVideoShareRoute::getSearchRoute( $params->get( 'itemid', 0 ) );

$search = '';
if ( $app->input->get( 'option' ) == 'com_allvideoshare' && $app->input->get( 'view' ) == 'search' ) {
	$search = $app->getUserStateFromRequest( $context, 'q', '', 'string' );
}

// Import CSS
if ( $css = $params->get( 'custom_css' ) ) {
    $wa = $app->getDocument()->getWebAssetManager();
    $wa->addInlineStyle( $css );
}
?>

<form class="avs mod-allvideosharesearch search" action="<?php echo Route::_( $route ); ?>" method="GET" role="search">
	<div class="input-group">
		<input type="text" name="q" class="form-control" placeholder="<?php echo Text::_( 'JSEARCH_FILTER_SUBMIT' ); ?> ..." value="<?php echo htmlspecialchars( $search, ENT_COMPAT, 'UTF-8' ); ?>" />
		<button class="btn btn-primary" type="submit">
			<span class="icon-search icon-white" aria-hidden="true"></span> <?php echo Text::_( 'JSEARCH_FILTER_SUBMIT' ); ?>
		</button>
	</div>
</form>